Bug 1409242 - elpa: please keep the versions in epel6/epel7 in sync with Fedora
Summary: elpa: please keep the versions in epel6/epel7 in sync with Fedora
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: elpa
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1325933
TreeView+ depends on / blocked
 
Reported: 2016-12-30 16:07 UTC by marcindulak
Modified: 2017-06-28 23:19 UTC (History)
1 user (show)

Fixed In Version: elpa-2015.11.001-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-28 23:19:22 UTC


Attachments (Terms of Use)

Description marcindulak 2016-12-30 16:07:20 UTC
Description of problem:

$ rpm -q elpa-openmpi
elpa-openmpi-2015.11.001-1.fc25.x86_64

$ rpm -q elpa-openmpi
elpa-openmpi-2015.02.002-4.el7.x86_64


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Dominik 'Rathann' Mierzejewski 2017-01-10 12:36:32 UTC
I don't think it's a good idea. More packages than just openmx depend on elpa and ABI breaks must be avoided (if at all possible) in EPEL, so I'm leaning towards WONTFIX. See https://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies . I don't see a compelling reason to update elpa in EPEL at this point.

Comment 2 marcindulak 2017-01-10 12:52:10 UTC
What are the other packages depending on ELPA on EPEL apart from openmx?

# cat /etc/redhat-release 
CentOS Linux release 7.2.1511 (Core) 

# repoquery --whatrequires elpa-*
elpa-devel-0:2015.02.002-4.el7.noarch
elpa-mpich-0:2015.02.002-4.el7.x86_64
elpa-mpich-devel-0:2015.02.002-4.el7.x86_64
elpa-openmpi-0:2015.02.002-4.el7.x86_64
elpa-openmpi-devel-0:2015.02.002-4.el7.x86_64
openmx-mpich-0:3.7.10-1.el7.x86_64
openmx-openmpi-0:3.7.10-1.el7.x86_64

# cat /etc/redhat-release 
CentOS release 6.8 (Final)

# repoquery --whatrequires elpa-*
elpa-devel-0:2015.02.002-4.el6.1.noarch
elpa-openmpi-devel-0:2015.02.002-4.el6.1.i686
elpa-openmpi-0:2015.02.002-4.el6.1.x86_64
elpa-mpich-0:2015.02.002-4.el6.1.x86_64
elpa-mpich-0:2015.02.002-4.el6.1.i686
elpa-mpich-devel-0:2015.02.002-4.el6.1.x86_64
elpa-mpich-devel-0:2015.02.002-4.el6.1.i686
elpa-common-0:2015.02.002-4.el6.1.noarch
elpa-openmpi-0:2015.02.002-4.el6.1.i686
elpa-openmpi-devel-0:2015.02.002-4.el6.1.x86_64
elpa-devel-0:2015.02.002-4.el6.1.noarch
elpa-mpich-0:2015.02.002-4.el6.1.i686
elpa-mpich-0:2015.02.002-4.el6.1.x86_64
elpa-mpich-devel-0:2015.02.002-4.el6.1.i686
elpa-mpich-devel-0:2015.02.002-4.el6.1.x86_64
elpa-openmpi-0:2015.02.002-4.el6.1.i686
elpa-openmpi-0:2015.02.002-4.el6.1.x86_64
elpa-openmpi-devel-0:2015.02.002-4.el6.1.i686
elpa-openmpi-devel-0:2015.02.002-4.el6.1.x86_64
openmx-mpich-0:3.7.10-1.el6.x86_64
openmx-openmpi-0:3.7.10-1.el6.x86_64

Comment 3 Dominik 'Rathann' Mierzejewski 2017-01-12 21:16:10 UTC
Right, sorry. I was somehow convinced that cp2k was another user of ELPA, but that's only in Fedora. I'll take a look, then.

Comment 4 Dominik 'Rathann' Mierzejewski 2017-06-12 12:04:53 UTC
Ok, I finally took a stab at this and I can keep it in sync down to epel7. EL6 has a version of autoconf that is too old and can't parse newer elpa's configure.ac after patching. So, if you want to keep it in sync for el6, too, please provide a patch.

In the meantime, I'm building elpa-2015.11.001, i.e. the last version before the internal functions used by openmx were made private. I'll request a build override and rebuild openmx on epel7 against the new elpa and release them together as an update.

Please note that I'm planning to update elpa to the latest version (2017.05.001) this summer, so if openmx hasn't moved to the new APIs, you'll have to bundle the old version or fix it yourself.

Comment 5 Fedora Update System 2017-06-12 13:42:18 UTC
openmx-3.8.1-9.el7 elpa-2015.11.001-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9161cc56d2

Comment 6 Fedora Update System 2017-06-14 07:49:48 UTC
elpa-2015.11.001-6.el7, openmx-3.8.1-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9161cc56d2

Comment 7 Fedora Update System 2017-06-28 23:19:22 UTC
elpa-2015.11.001-6.el7, openmx-3.8.1-9.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.